Delete items - Fabric
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Delete items
cURL
curl --request DELETE \
--url https://api.fabric.inc/v3/orchestrator/carts/{cartId}/items \
--header 'Authorization: Bearer <token>' \
--header 'x-fabric-channel-id: <x-fabric-channel-id>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>'
Python
import requests
url = "https://api.fabric.inc/v3/orchestrator/carts/{cartId}/items"
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"x-fabric-channel-id": "<x-fabric-channel-id>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)
JavaScript
const options = {
method: 'DELETE',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
'x-fabric-channel-id': '<x-fabric-channel-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.fabric.inc/v3/orchestrator/carts/{cartId}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/orchestrator/carts/{cartId}/items",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-fabric-channel-id: <x-fabric-channel-id>",
"x-fabric-tenant-id: <x-fabric-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/orchestrator/carts/{cartId}/items"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
req.Header.Add("x-fabric-channel-id", "<x-fabric-channel-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Java
HttpResponse<String> response = Unirest.delete("https://api.fabric.inc/v3/orchestrator/carts/{cartId}/items")
.header("x-fabric-tenant-id", "<x-fabric-tenant-id>")
.header("x-fabric-channel-id", "<x-fabric-channel-id>")
.header("Authorization", "Bearer <token>")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://api.fabric.inc/v3/orchestrator/carts/{cartId}/items")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["x-fabric-tenant-id"] = '<x-fabric-tenant-id>'
request["x-fabric-channel-id"] = '<x-fabric-channel-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
Responses
- 200 : Items deleted from the cart successfully
- 422 : Unprocessable entity
Sample Response
{
"id": "0e49199c-5849-4211-abe6-a97a3c4dcc56",
"attributes": {},
"configuration": {
"order": {
"validate": {}
},
"product": {
"cacheExpiry": 7776000,
"behaviors": {
"add": "REJECT",
"update": "WARN",
"get": "WARN",
"cacheExpiry": "WARN"
},
"maxQuantity": {
"limit": 100,
"behaviors": {
"add": "REJECT",
"update": "WARN",
"get": "WARN"
}
}
}
},
"customerContext": {
"id": "109840938",
"attributes": {"email": "test@gmail.com"},
"sessionId": "3a5fd2d3-5c96-4e57-b069-7ff2a88c1119"
}
}
Authorizations
Authorization: Include the Bearer <token> header where the <token> is the authentication token generated from the Getting Started with fabric APIs process.
Headers
Required Headers
x-fabric-tenant-id: A header used by fabric to identify the tenant making the request.x-fabric-channel-id: Identifies the sales channel where the API request is being made.cartId: The 24-character system-generated Cart ID. This ID is generated using the Create cart endpoint.